commit 6a0e83ab62eff06909200d64a1be4771c4e363ef
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Fri Aug 2 21:57:07 2024 +0530

    Revert "PS-7538: Crash with innodb_optimize_fulltext_only"
    
    This reverts commit d60853b1ef9ae7c7c801f8f4ba61346f6e2a8bb9.

diff --git a/storage/innobase/fts/fts0opt.cc b/storage/innobase/fts/fts0opt.cc
index 657d493c60f..eec6f2cd363 100644
--- a/storage/innobase/fts/fts0opt.cc
+++ b/storage/innobase/fts/fts0opt.cc
@@ -588,7 +588,6 @@ fts_zip_read_word(
 	void*		null = NULL;
 	byte*		ptr = word->f_str;
 	int		flush = Z_NO_FLUSH;
-	bool		read_something = FALSE;
 
 	/* Either there was an error or we are at the Z_STREAM_END. */
 	if (zip->status != Z_OK) {
@@ -646,7 +645,6 @@ fts_zip_read_word(
 
 				word->f_len = len;
 				len = 0;
-				read_something = TRUE;
 			}
 			break;
 
@@ -675,8 +673,7 @@ fts_zip_read_word(
 		ut_ad(word->f_len == strlen((char*) ptr));
 	}
 
-	return((zip->status == Z_OK || zip->status == Z_STREAM_END) && read_something)
-		 ? ptr : NULL;
+	return(zip->status == Z_OK || zip->status == Z_STREAM_END ? ptr : NULL);
 }
 
 /**********************************************************************//**

